org.eclipse.jetty.server

## Class AsyncHttpConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.server.AbstractHttpConnection
    - - org.eclipse.jetty.server.AsyncHttpConnection

All Implemented Interfaces:
  Connection, AsyncConnection

    public class AsyncHttpConnection
    extends AbstractHttpConnection
    implements AsyncConnection

Asychronous Server HTTP connection

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`AbstractHttpConnection.Output, AbstractHttpConnection.OutputWriter`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`_connector, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

`_endp`

### Constructor Summary

Constructors
Constructor and Description
`AsyncHttpConnection(Connector connector, EndPoint endpoint, Server server)`

### Method Summary

Methods
`Connection` `handle()` Handle the connection.
`boolean` `isSuspended()` The semantic of this method is to return true to indicate interest in further reads, or false otherwise, but it is misnamed and should be really called `isReadInterested()`.
`void` `onInputShutdown()`
`void` `reset()`

### Methods inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`commitResponse, completeResponse, content, earlyEOF, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getGenerator, getInputStream, getMaxIdleTime, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getServer, handleRequest, headerComplete, include, included, isConfidential, isEarlyEOF, isExpecting100Continues, isExpecting102Processing, isIdle, isIncluding, isIntegral, isResponseCommitted, messageComplete, newHttpGenerator, newHttpParser, onClose, parsedHeader, setAssociatedObject, setCurrentConnection, startRequest, toString`

### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

`getEndPoint, getTimeStamp, onIdleExpired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.io.Connection

`getTimeStamp, isIdle, onClose, onIdleExpired`

### Constructor Detail

#### AsyncHttpConnection

    public AsyncHttpConnection(Connector connector,
                       EndPoint endpoint,
                       Server server)

### Method Detail

#### handle

    public Connection handle()
                      throws IOException

Description copied from interface: `Connection`
Handle the connection.

Specified by:
  `handle` in interface `Connection`
Specified by:
  `handle` in class `AbstractHttpConnection`
Returns:
  The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
Throws:
  `IOException` - if the handling of I/O operations fail

#### onInputShutdown

    public void onInputShutdown()
                         throws IOException

Specified by:
  `onInputShutdown` in interface `AsyncConnection`
Throws:
  `IOException`

#### reset

    public void reset()

Overrides:
  `reset` in class `AbstractHttpConnection`

#### isSuspended

    public boolean isSuspended()

Description copied from interface: `Connection`

The semantic of this method is to return true to indicate interest in further reads, or false otherwise, but it is misnamed and should be really called `isReadInterested()`.

Specified by:
  `isSuspended` in interface `Connection`
Overrides:
  `isSuspended` in class `AbstractHttpConnection`
Returns:
  true to indicate interest in further reads, false otherwise
See Also:
  `Connection.isSuspended()`